<template>
	<v-dialog
		v-model="open"
		max-width="400"
	>
		<v-card>
			<v-card-title class="headline">Buy / Sell Stock</v-card-title>
			<v-card-text>Available funds: {{ amount | money }}</v-card-text>
			<v-text-field type="number" />
			<v-card-actions>
				<v-spacer></v-spacer>
				<!-- <v-btn color="green darken-1" text @click="$emit('')">Disagree</v-btn>
				<v-btn color="green darken-1" text @click="$emit('')">Agree</v-btn> -->
			</v-card-actions>
		</v-card>
	</v-dialog>
</template>

<script>
export default {
	props: {
		open: { type: Boolean, default: false },
		company: { type: Object, default: null },
	},
	computed: {
		amount() {
			return this.$store.getters['account/balance'];
		},
	},
};
</script>
